## ros-indigo-carl-bringup 0.0.34

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_bringup)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

#############
## Install ##
#############

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

## Copy rviz files
install(DIRECTORY rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

=== debian/changelog ===
ros-indigo-carl-bringup (0.0.34-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-carl-bringup (0.0.33-0trusty) trusty; urgency=high

  * Disabled arm home on initialization
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Mon, 10 Aug 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.32-0trusty) trusty; urgency=high

  * missed )
  * Passed arg to arm.launch
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_bot into develop
  * Added a parameter for carl interactive manipulation to create object markers from segmented objects instead of recognized objects
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.31-0trusty) trusty; urgency=high

  * added observer to navigation
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.30-0trusty) trusty; urgency=high

  * Added parking spots and interactive marker pickup option to the bringup launch file
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.29-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.28-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.27-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.26-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.25-0trusty) trusty; urgency=high

  * flag for safety
  * removed bug in nav launch
  * navigation option added to CARL bringup
  * revert
  * navigation option added to CARL bringup
  * splash screen added
  * new default rviz config
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.24-0trusty) trusty; urgency=high

  * refactor of RViz GUIs
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.23-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.22-0trusty) trusty; urgency=high

  * new launch files for grasp collection
  * Fixed config file location in model generation launch file
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.21-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.20-0trusty) trusty; urgency=high

  * added segmentation topic
  * typo in config file name
  * added launch for recognition
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.19-0trusty) trusty; urgency=high

  * added launch for carl grasp collection
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.18-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.17-0trusty) trusty; urgency=high

  * limited output on phidgets initialization, added moveit stuff to carl_bringup launch
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-carl-bringup (0.0.16-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-carl-bringup (0.0.15-0trusty) trusty; urgency=high

  * Updated base.launch so that CARL can be turned on while charging.
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-carl-bringup (0.0.14-0trusty) trusty; urgency=high

  * Main bringup launch file now launches basic safety (tipping prevention and arm over current warning)
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-carl-bringup (0.0.13-0trusty) trusty; urgency=high

  * New camera calibrations
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Wed, 21 Jan 2015 05:00:00 -0000

ros-indigo-carl-bringup (0.0.12-0trusty) trusty; urgency=high

  * Orientation filter ignores accelerometer measurements when anything more than the gravity vector is detected
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Mon, 19 Jan 2015 05:00:00 -0000

ros-indigo-carl-bringup (0.0.11-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-carl-bringup (0.0.10-0trusty) trusty; urgency=high

  * deleted everything
  * Parameter, topic, and launch file cleanup for consistency
  * changes to make teleop safety able to toggle on and off with launch paramater
  * Contributors: Brian Hetherman, David Kent, Peter

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-carl-bringup (0.0.9-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

ros-indigo-carl-bringup (0.0.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Oct 2014 04:00:00 -0000

ros-indigo-carl-bringup (0.0.7-0trusty) trusty; urgency=high

  * carl_interactive_manipulation added
  * launches carl_interactive_manipulation instead of the jaco-only interactive markers
  * Contributors: Russell Toris, dekent

 -- Russell Toris <rctoris@wpi.edu>  Mon, 22 Sep 2014 04:00:00 -0000

ros-indigo-carl-bringup (0.0.6-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-carl-bringup
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/carl_bringup
Standards-Version: 3.9.2

Package: ros-indigo-carl-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-carl-description, ros-indigo-carl-dynamixel, ros-indigo-carl-interactive-manipulation, ros-indigo-carl-moveit, ros-indigo-carl-safety, ros-indigo-carl-teleop, ros-indigo-m4atx-battery-monitor, ros-indigo-openni2-launch, ros-indigo-rail-recognition, ros-indigo-rail-segmentation, ros-indigo-ros-ethernet-rmp, ros-indigo-urg-node, ros-indigo-world-item-observer, ros-indigo-wpi-jaco-wrapper
Description: CARL Bringup Launch Scripts

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-bringup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
